Home Help Center

Problem installing Ice 2.0 on Fedora Core 3

I have problem installing Ice 2.0 on Fedora core 3 (updated with rawhide). I tried both gcc and icpc, but got the same error message as blow:

ava Gen.o Main.o -lSlice -lIceUtil -lpthread
make[2]: Leaving directory `/home/gyang/tmp/Ice-2.0.0/src/slice2java'
making all in slice2py
make[2]: Entering directory `/home/gyang/tmp/Ice-2.0.0/src/slice2py'
icpc -c -I. -I../../include -O2 -tpp7 -DNDEBUG -fPIC -D_REENTRANT Main.cpp
rm -f ../../bin/slice2py
icpc -O2 -tpp7 -DNDEBUG -fPIC -D_REENTRANT -L../../lib -o ../../bin/slice2py Main.o -lSlice -lIceUtil -lpthread
make[2]: Leaving directory `/home/gyang/tmp/Ice-2.0.0/src/slice2py'
making all in Ice
make[2]: Entering directory `/home/gyang/tmp/Ice-2.0.0/src/Ice'
rm -f ../../include/Ice/LocalException.h LocalException.cpp
../../bin/slice2cpp --ice --include-dir Ice --dll-export ICE_API -I../../slice ../../slice/Ice/LocalException.ice
terminate called after throwing an instance of 'std::length_error'
what(): basic_string::reserve
make[2]: *** [LocalException.cpp] Aborted
make[2]: Leaving directory `/home/gyang/tmp/Ice-2.0.0/src/Ice'
make[1]: *** [all] Error 1
make[1]: Leaving directory `/home/gyang/tmp/Ice-2.0.0/src'
make: *** [all] Error 1

The icpc version is 8.1 Build 20041019Z.
The gcc version is 3.4.3.
The glibc version is 2.3.3.

I also tried the LD_ASSUME_KERNEL enviroment variable but with same result. Please help me to solve this problem. Thanks.

Guo

Comments

  • mesmes CaliforniaAdministrators, ZeroC Staff Mark SpruiellOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Hi,

    I tested Ice 2.0 with gcc 3.4.3 and Intel 8.1 on RedHat 9.0 without problems, so perhaps it's a glibc issue. I don't think we have FC3 installed yet, but we probably will install it soon.

    Meanwhile, all I can suggest is to build with debugging and see if the stack trace in the core file gives you any clues.

    Take care,
    - Mark
  • umberumber Member
    Marc, thank you very much. I did what you directed and got the stack trace as below:

    #0 0x00558c67 in Slice::Preprocessor::checkInputFile (this=0xfeffe600)
    at Preprocessor.cpp:323
    323 return true;
    (gdb) bt
    #0 0x00558c67 in Slice::Preprocessor::checkInputFile (this=0xfeffe600)
    at Preprocessor.cpp:323
    #1 0x00557775 in Slice::Preprocessor::preprocess (this=0xfeffe600,
    keepComments=false) at Preprocessor.cpp:57
    #2 0x080c7ab1 in main (argc=2, argv=0xfeffee64) at Main.cpp:276

    Guo
  • bernardbernard Jupiter, FLAdministrators, ZeroC Staff Bernard NormierOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    I tried to build and run the Ice test suite with a clean FC3 installation ... and no problem to report (except for -ldb_cxx that needs to be renamed -ldb_cxx-4.2 in config/Make.rules).

    The gcc version in FC3 is:
    gcc (GCC) 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)

    glibc's version is glibc-2.3.3-74.

    How did you get gcc 3.4.3? Did you build it yourself?

    Cheers,
    Bernard
  • umberumber Member
    Originally posted by bernard
    How did you get gcc 3.4.3? Did you build it yourself?

    Cheers,
    Bernard

    I 'update' my system daily with their rawhide. This finally bite me :) I will see if the problem will be gone very soon. Otherwise I will reinstall it.
  • umberumber Member
    No problem now :)

    Today I tried to compile ICE 2.0 again. To my surprise it finished without any problem :) But the Intel C/C++ compiler still has same old problem. My settings now are:

    gcc version 3.4.3 20041125 (Red Hat 3.4.3-7)
    glibc-2.3.3-84

    Thanks for all the help here.
Sign In or Register to comment.